// Buypeeb - A simple Yahoo! Auctions tracker for Buyee users with mobile devices.
// I'm mostly making this just to learn Flutter.
// Copyright (C) 2020 Lynnesbian
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

import 'package:buypeeb_mobile/pages/main_page.dart';
import 'package:buypeeb_mobile/pages/splash.dart';
import 'package:buypeeb_mobile/pages/view_listing.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'models/user_listings.dart';

void main() {
  runApp(
    ChangeNotifierProvider(
      create: (context) => UserListings(),
      child: MaterialApp(
        initialRoute: '/splash',
        routes: {
          '/': (context) => RouteHome(),
          '/splash': (context) => RouteSplash(),
          '/view_listing': (context) => RouteViewListing(),
        },

        title: "Buypeeb Mobile",
        theme: ThemeData(
          primarySwatch: Colors.pink,
        ),
      )
    ),
  );
}
